<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2026-07-06T10:00:33.774Z" hostname="devserver3.ustadmobile.com" time="8.227">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="3.984"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.158"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.085"/>
  <system-out><![CDATA[port = 39689
14:00:33,828 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
14:00:33,829 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - No custom configurators were discovered as a service.
14:00:33,829 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
14:00:33,830 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
14:00:33,834 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
14:00:33,836 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
14:00:33,845 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 6 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
14:00:33,845 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
14:00:33,846 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
14:00:33,846 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
14:00:33,849 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/xapi-statements-viewer-end-to-end-tests/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml]
14:00:33,849 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs multiple times on the classpath.
14:00:33,850 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/xapi-statements-viewer-end-to-end-tests/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
14:00:33,850 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/xapi-statements-viewer-end-to-end-tests/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml]
14:00:33,853 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/xapi-statements-viewer-end-to-end-tests/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/xapi-statements-viewer-end-to-end-tests/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml] is not of type file
14:00:33,917 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log/" substituted for "${logs_dir:-./log/}"
14:00:33,918 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
14:00:33,918 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
14:00:33,925 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
14:00:33,927 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
14:00:33,932 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@883455411 - No compression will be used
14:00:33,944 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@883455411 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
14:00:33,944 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
14:00:33,946 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
14:00:33,946 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Roll-over at midnight.
14:00:33,947 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Setting initial period to 2026-07-06T06:23:27.668Z
14:00:33,947 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
14:00:33,947 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
14:00:33,947 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
14:00:33,950 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
14:00:33,975 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
14:00:33,979 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 60339 for ./log/respect-server.log
14:00:33,979 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
14:00:33,981 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
14:00:33,981 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
14:00:33,983 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
14:00:33,983 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
14:00:33,983 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@4b14918a - End of configuration.
14:00:33,984 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@6d1ef78d - Registering current configuration as safe fallback point
14:00:33,984 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 138 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[Mockito is currently self-attaching to enable the inline-mock-maker. This will no longer work in future releases of the JDK. Please add Mockito as an agent to your build as described in Mockito's documentation: https://javadoc.io/doc/org.mockito/mockito-core/latest/org.mockito/org/mockito/Mockito.html#0.3
WARNING: A Java agent has been loaded dynamically (/home/jenkins/.gradle/caches/modules-2/files-2.1/net.bytebuddy/byte-buddy-agent/1.15.11/a38b16385e867f59a641330f0362ebe742788ed8/byte-buddy-agent-1.15.11.jar)
WARNING: If a serviceability tool is in use, please run with -XX:+EnableDynamicAgentLoading to hide this warning
WARNING: If a serviceability tool is not in use, please run with -Djdk.instrument.traceUsage for more information
WARNING: Dynamic loading of agents will be disallowed by default in a future release
]]></system-err>
</testsuite>
